#include "common.h"
#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#ifdef _WINDOWS
#include <windows.h>
#endif

void halt(const char *Format, ...) {
	va_list argptr;
	va_start(argptr, Format);
	char msg[1024];
	vsprintf(msg, Format, argptr);
#ifdef _WINDOWS
	OutputDebugStringA(msg);
#else
	fprintf(stderr, "%s", msg);
#endif
	exit(3);
}

void debugout(const char *Format, ...) {
	va_list argptr;
	va_start(argptr, Format);
	char msg[1024];
	vsprintf(msg, Format, argptr);
#ifdef _WINDOWS
	OutputDebugStringA(msg);
#else
	fprintf(stderr, "%s", msg);
#endif
}
